Module org.jfree.chart3d
Package org.jfree.chart3d.renderer

# Class Renderer3DChangeEvent

java.lang.Object
java.util.EventObject
org.jfree.chart3d.renderer.Renderer3DChangeEvent

All Implemented Interfaces:
  `Serializable`

public class Renderer3DChangeEvent extends EventObject
An event containing information about a change to a `Renderer3D`. Any object that implements the `Renderer3DChangeListener` interface can register with a renderer to receive change event notifications. By default, the plot classes register with the renderer they manage in order to monitor changes to the renderer.
NOTE: This class is serializable, but the serialization format is subject to change in future releases and should not be relied upon for persisting instances of this class.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class java.util.EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`Renderer3DChangeEvent(Object source, Renderer3D renderer, boolean requiresWorldUpdate)`
Creates a new change event.
`Renderer3DChangeEvent(Renderer3D renderer, boolean requiresWorldUpdate)`
Creates a new change event.

## Method Summary

Modifier and Type
Method
Description
`Renderer3D`
`getRenderer()`
Returns the renderer that the event relates to.
`boolean`
`requiresWorldUpdate()`
Returns the flag that indicates whether or not this change will require the 3D world to be updated.

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Renderer3DChangeEvent

public Renderer3DChangeEvent(Renderer3D renderer, boolean requiresWorldUpdate)
Creates a new change event.

Parameters:
  `renderer` - the renderer that changed (`null` not permitted).
  `requiresWorldUpdate` - a flag indicating whether or not the change requires the 3D world to be updated.

### Renderer3DChangeEvent

public Renderer3DChangeEvent(Object source, Renderer3D renderer, boolean requiresWorldUpdate)
Creates a new change event.

Parameters:
  `source` - the source.
  `renderer` - the renderer.
  `requiresWorldUpdate` - a flag indicating whether or not the change requires the 3D world to be updated.

## Method Details

### getRenderer

public Renderer3D getRenderer()
Returns the renderer that the event relates to.

Returns:
  The renderer.

### requiresWorldUpdate

public boolean requiresWorldUpdate()
Returns the flag that indicates whether or not this change will require the 3D world to be updated.

Returns:
  A boolean.
Since:
  1.2